/**
 * Thumbs
 */
(function ($) {
	$.fn.thumb = function () {
		return this.each(
			function (index, element) {
				var $this = $(element);
				$this.
					
					unbind('.thumb').
					
					bind('click.thumb',
						function () {
							var $this = $(this);
							$this.closest('.thumb').find('img').each(
								function () {
									$(this).removeClass('active');
								}
							);
							$this.addClass('active');
							
							var $target = $this.parents('.images').children('img');
							if ($target.length) {
								var path = $target.attr('src').split('/');
								path.pop();
								path.push($this.attr('src').split('/').pop());
								$target.attr('src', path.join('/'));
							}
						}
					)
				;
			}
		);
	}
})(jQuery);
