/**
 * Modal
 */
(function ($) {
	$.fn.modal = function () {
		return this.each(
			function (index, element) {
				var $this   = $(element);
				
				$this.find('.close').click(
					function (event) {
						$this.close();
						event.stopImmediatePropagation();
						return false;
					}
				);
				
				$this.find('.basket').click(
					function (event) {
						document.location = '/basket';
						event.stopImmediatePropagation();
						return false;
					}
				);
				
				$(document).
					
					unbind('.modal').
					
					bind('keyup.modal',
						function(e) {
							if (e.keyCode == 27) {    // esc 
								$this.close();
							}
						}
					)
				;
				
				$this.close = function () {
					$('button').data('disable', false);
					$this.detach();
				};
			}
		);
	};
})(jQuery);
